Tentative of providing a generic application.

This directory contains all masterFIP test application for future masterfip CI.
The first thought, was to write CI test with pytest directly on top of the C
masterfip library, but we realized that because masterFIP app needs to implement
callbacks, in case of high rate of interrupts (2KHz, like FGC masterFIP application)
it is not very reliable. In addition, handling signal like "Ctrl + C" to kill
the running process having registered python callbacks is not easy to handle.
Often you endup with a huge stack trace.
Therefore, we decided to use the C unit test framework, cmocka.

The mfiptest libarary located in tools/libs is meant to  ease the writing of
the C unit tests.
